#include "deploy_dm_builder.h"
#include <saas/deploy_manager/scripts/common/global_names/global_names.h>

namespace NRTYDeployInfo {

    TDMDeployComponentInfo::TFactory::TRegistrator<TDMDeployComponentInfo> TDMDeployComponentInfo::Registrator(DEPLOY_MANAGER_SERVICE);
    TDMDeployBuilder::TFactory::TRegistrator<TDMDeployBuilder> TDMDeployBuilder::Registrator(DEPLOY_MANAGER_SERVICE);

    NSearchMapParser::TSearchMap TDMDeployComponentInfo::DoSearchMapBySlot(const TString&, const NSaas::TClusterConst*, const TString&) const {
        return NSearchMapParser::TSearchMap();
    }

    TString TDMDeployComponentInfo::GetComponentName() const {
        return DEPLOY_MANAGER_SERVICE;
    }

    bool TDMDeployBuilder::DoBuildFilesInfo(const NRTYDeploy::TFileContentGenerator::TContext& /*context*/, TStringStream& /*errors*/, bool /*forcedOnly*/) {
        return true;
    }

}
